;;; -*- coding: utf-8-unix -*-
;;;
;;;Part of: Vicare/Libesmtp
;;;Contents: static platform inspection
;;;Date: Thu Feb 14, 2013
;;;
;;;Abstract
;;;
;;;
;;;
;;;Copyright (C) 2013 Marco Maggi <marco.maggi-ipsu@poste.it>
;;;
;;;This program is free software:  you can redistribute it and/or modify
;;;it under the terms of the  GNU General Public License as published by
;;;the Free Software Foundation, either version 3 of the License, or (at
;;;your option) any later version.
;;;
;;;This program is  distributed in the hope that it  will be useful, but
;;;WITHOUT  ANY   WARRANTY;  without   even  the  implied   warranty  of
;;;MERCHANTABILITY or  FITNESS FOR  A PARTICULAR  PURPOSE.  See  the GNU
;;;General Public License for more details.
;;;
;;;You should  have received a  copy of  the GNU General  Public License
;;;along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;;


#!r6rs
(library (vicare email libesmtp features)
  (export
    HAVE_SMTP_VERSION
    HAVE_SMTP_CREATE_SESSION
    HAVE_SMTP_ADD_MESSAGE
    HAVE_SMTP_ENUMERATE_MESSAGES
    HAVE_SMTP_SET_SERVER
    HAVE_SMTP_SET_HOSTNAME
    HAVE_SMTP_SET_REVERSE_PATH
    HAVE_SMTP_ADD_RECIPIENT
    HAVE_SMTP_ENUMERATE_RECIPIENTS
    HAVE_SMTP_SET_HEADER
    HAVE_SMTP_SET_HEADER_OPTION
    HAVE_SMTP_SET_RESENT_HEADERS
    HAVE_SMTP_SET_MESSAGECB
    HAVE_SMTP_SET_EVENTCB
    HAVE_SMTP_SET_MONITORCB
    HAVE_SMTP_START_SESSION
    HAVE_SMTP_DESTROY_SESSION
    HAVE_SMTP_MESSAGE_TRANSFER_STATUS
    HAVE_SMTP_REVERSE_PATH_STATUS
    HAVE_SMTP_MESSAGE_RESET_STATUS
    HAVE_SMTP_RECIPIENT_STATUS
    HAVE_SMTP_RECIPIENT_CHECK_COMPLETE
    HAVE_SMTP_RECIPIENT_RESET_STATUS
    HAVE_SMTP_ERRNO
    HAVE_SMTP_STRERROR
    HAVE_SMTP_SET_APPLICATION_DATA
    HAVE_SMTP_GET_APPLICATION_DATA
    HAVE_SMTP_MESSAGE_SET_APPLICATION_DATA
    HAVE_SMTP_MESSAGE_GET_APPLICATION_DATA
    HAVE_SMTP_RECIPIENT_SET_APPLICATION_DATA
    HAVE_SMTP_RECIPIENT_GET_APPLICATION_DATA
    HAVE_SMTP_OPTION_REQUIRE_ALL_RECIPIENTS
    HAVE_SMTP_AUTH_SET_CONTEXT
    HAVE_SMTP_GSASL_SET_CONTEXT
    HAVE_SMTP_SET_TIMEOUT
    HAVE_SMTP_DSN_SET_RET
    HAVE_SMTP_DSN_SET_ENVID
    HAVE_SMTP_DSN_SET_NOTIFY
    HAVE_SMTP_DSN_SET_ORCPT
    HAVE_SMTP_SIZE_SET_ESTIMATE
    HAVE_SMTP_8bitmime_set_body
    HAVE_SMTP_DELIVERBY_SET_MODE
    HAVE_SMTP_STARTTLS_ENABLE
    HAVE_SMTP_STARTTLS_SET_CTX
    HAVE_SMTP_STARTTLS_SET_PASSWORD_CB
    HAVE_SMTP_ETRN_ADD_NODE
    HAVE_SMTP_ETRN_ENUMERATE_NODES
    HAVE_SMTP_ETRN_NODE_STATUS
    HAVE_SMTP_ETRN_SET_APPLICATION_DATA
    HAVE_SMTP_ETRN_GET_APPLICATION_DATA
    HAVE_AUTH_CLIENT_INIT
    HAVE_AUTH_CLIENT_EXIT
    HAVE_AUTH_CREATE_CONTEXT
    HAVE_AUTH_DESTROY_CONTEXT
    HAVE_AUTH_SET_MECHANISM_FLAGS
    HAVE_AUTH_SET_MECHANISM_SSF
    HAVE_AUTH_SET_INTERACT_CB
    HAVE_AUTH_CLIENT_ENABLED
    HAVE_AUTH_SET_MECHANISM
    HAVE_AUTH_MECHANISM_NAME
    HAVE_AUTH_RESPONSE
    HAVE_AUTH_GET_SSF
    HAVE_AUTH_ENCODE
    HAVE_AUTH_DECODE
    HAVE_AUTH_SET_EXTERNAL_ID
    )
  (import (rnrs))

;;;; helpers

(define-syntax define-inline-constant
  (syntax-rules ()
    ((_ ?name ?value)
     (define-syntax ?name (identifier-syntax ?value)))))


;;;; code

(define-inline-constant HAVE_SMTP_VERSION #t)
(define-inline-constant HAVE_SMTP_CREATE_SESSION #t)
(define-inline-constant HAVE_SMTP_ADD_MESSAGE #t)
(define-inline-constant HAVE_SMTP_ENUMERATE_MESSAGES #t)
(define-inline-constant HAVE_SMTP_SET_SERVER #t)
(define-inline-constant HAVE_SMTP_SET_HOSTNAME #t)
(define-inline-constant HAVE_SMTP_SET_REVERSE_PATH #t)
(define-inline-constant HAVE_SMTP_ADD_RECIPIENT #t)
(define-inline-constant HAVE_SMTP_ENUMERATE_RECIPIENTS #t)
(define-inline-constant HAVE_SMTP_SET_HEADER #t)
(define-inline-constant HAVE_SMTP_SET_HEADER_OPTION #t)
(define-inline-constant HAVE_SMTP_SET_RESENT_HEADERS #t)
(define-inline-constant HAVE_SMTP_SET_MESSAGECB #t)
(define-inline-constant HAVE_SMTP_SET_EVENTCB #t)
(define-inline-constant HAVE_SMTP_SET_MONITORCB #t)
(define-inline-constant HAVE_SMTP_START_SESSION #t)
(define-inline-constant HAVE_SMTP_DESTROY_SESSION #t)
(define-inline-constant HAVE_SMTP_MESSAGE_TRANSFER_STATUS #t)
(define-inline-constant HAVE_SMTP_REVERSE_PATH_STATUS #t)
(define-inline-constant HAVE_SMTP_MESSAGE_RESET_STATUS #t)
(define-inline-constant HAVE_SMTP_RECIPIENT_STATUS #t)
(define-inline-constant HAVE_SMTP_RECIPIENT_CHECK_COMPLETE #t)
(define-inline-constant HAVE_SMTP_RECIPIENT_RESET_STATUS #t)
(define-inline-constant HAVE_SMTP_ERRNO #t)
(define-inline-constant HAVE_SMTP_STRERROR #t)
(define-inline-constant HAVE_SMTP_SET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_GET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_MESSAGE_SET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_MESSAGE_GET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_RECIPIENT_SET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_RECIPIENT_GET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_OPTION_REQUIRE_ALL_RECIPIENTS #t)
(define-inline-constant HAVE_SMTP_AUTH_SET_CONTEXT #t)
(define-inline-constant HAVE_SMTP_GSASL_SET_CONTEXT #t)
(define-inline-constant HAVE_SMTP_SET_TIMEOUT #t)
(define-inline-constant HAVE_SMTP_DSN_SET_RET #t)
(define-inline-constant HAVE_SMTP_DSN_SET_ENVID #t)
(define-inline-constant HAVE_SMTP_DSN_SET_NOTIFY #t)
(define-inline-constant HAVE_SMTP_DSN_SET_ORCPT #t)
(define-inline-constant HAVE_SMTP_SIZE_SET_ESTIMATE #t)
(define-inline-constant HAVE_SMTP_8bitmime_set_body #f)
(define-inline-constant HAVE_SMTP_DELIVERBY_SET_MODE #t)
(define-inline-constant HAVE_SMTP_STARTTLS_ENABLE #t)
(define-inline-constant HAVE_SMTP_STARTTLS_SET_CTX #t)
(define-inline-constant HAVE_SMTP_STARTTLS_SET_PASSWORD_CB #t)
(define-inline-constant HAVE_SMTP_ETRN_ADD_NODE #t)
(define-inline-constant HAVE_SMTP_ETRN_ENUMERATE_NODES #t)
(define-inline-constant HAVE_SMTP_ETRN_NODE_STATUS #t)
(define-inline-constant HAVE_SMTP_ETRN_SET_APPLICATION_DATA #t)
(define-inline-constant HAVE_SMTP_ETRN_GET_APPLICATION_DATA #t)
(define-inline-constant HAVE_AUTH_CLIENT_INIT #t)
(define-inline-constant HAVE_AUTH_CLIENT_EXIT #t)
(define-inline-constant HAVE_AUTH_CREATE_CONTEXT #t)
(define-inline-constant HAVE_AUTH_DESTROY_CONTEXT #t)
(define-inline-constant HAVE_AUTH_SET_MECHANISM_FLAGS #t)
(define-inline-constant HAVE_AUTH_SET_MECHANISM_SSF #t)
(define-inline-constant HAVE_AUTH_SET_INTERACT_CB #t)
(define-inline-constant HAVE_AUTH_CLIENT_ENABLED #t)
(define-inline-constant HAVE_AUTH_SET_MECHANISM #t)
(define-inline-constant HAVE_AUTH_MECHANISM_NAME #t)
(define-inline-constant HAVE_AUTH_RESPONSE #t)
(define-inline-constant HAVE_AUTH_GET_SSF #t)
(define-inline-constant HAVE_AUTH_ENCODE #t)
(define-inline-constant HAVE_AUTH_DECODE #t)
(define-inline-constant HAVE_AUTH_SET_EXTERNAL_ID #t)

;;;; done

)

;;; end of file
